Package de.pangaea.metadataportal.config

## Class FieldConfig

- java.lang.Object
- - de.pangaea.metadataportal.config.ExpressionConfig
  - - de.pangaea.metadataportal.config.FieldConfig

-     public final class FieldConfig
      extends ExpressionConfig

  Config element that contains the definition of a field. It contains its name and some properties like name or datatype.
  Author:
    Uwe Schindler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FieldConfig.DataType` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `FieldConfig.DataType` | `datatype` |
    `String` | `defaultValue` |
    `String` | `name` |

    - ### Fields inherited from class de.pangaea.metadataportal.config.ExpressionConfig

      `xPathExpr, xslt`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FieldConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDefault()` |
    `String` | `getName()` |
    `void` | `setDataType​(String v)` | Deprecated.
    `void` | `setDefault​(String v)` |
    `void` | `setName​(String v)` |
    `String` | `toString()` |

    - ### Methods inherited from class de.pangaea.metadataportal.config.ExpressionConfig

      `setTemplate, setXPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

    - #### defaultValue

          public String defaultValue

    - #### datatype

          public FieldConfig.DataType datatype

  - ### Constructor Detail

    - #### FieldConfig

          public FieldConfig()

  - ### Method Detail

    - #### setName

          public void setName​(String v)

    - #### getName

          public String getName()

    - #### setDataType

          @PublicForDigesterUse
          @Deprecated
          public void setDataType​(String v)

      Deprecated.

    - #### setDefault

          public void setDefault​(String v)

    - #### getDefault

          public String getDefault()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ExpressionConfig`